Custody providers
Bulk Add Custody Allocations
Validates a batch of allocation rows (wallet address plus grant or warrant) and creates custody allocations in one transaction.
Not available to API keys yet. It will need wallets:write.
curl --request POST \
--url 'https://api.toku.com/tga/bulk-add-custody-allocations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"allocations": [
{
"custodyWalletAddress": "string",
"custodyWalletName": "string",
"custodyProviderName": "SAFE",
"networkType": "ETHEREUM",
"grantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"warrantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"allocationAmount": 0
}
]
}'{
"success": true,
"results": [
{
"custodyWalletID": "string",
"custodyAllocationID": "string",
"custodyWalletAddress": "string",
"custodyProviderName": "string",
"networkType": "string",
"grantID": "string",
"warrantID": "string",
"allocationAmount": "string"
}
],
"totalAllocations": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
allocationsobject[]requiredAllowed: at least 1 items
Show child attributes
custodyWalletAddressstringrequiredAllowed: at least 1 characters
custodyWalletNamestringrequiredAllowed: at least 1 characters
custodyProviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
networkTypestringrequiredAvailable options: ETHEREUM, ETHEREUM_SEPOLIA, SOLANA, POLYGON, ZKSYNC, BASE, OPTIMISM, SCROLL, BNB_SMART_CHAIN, SHAPE, KATANA, RITUAL, KAVA, OSMOSIS, FILECOIN
grantIDstring<uuid>warrantIDstring<uuid>allocationAmountnumberrequiredAllowed: at least 0
Response
200Successful response
successbooleanrequiredresultsobject[]requiredShow child attributes
custodyWalletIDstringrequiredcustodyAllocationIDstringrequiredcustodyWalletAddressstringrequiredcustodyProviderNamestringrequirednetworkTypestringrequiredgrantIDstringwarrantIDstringallocationAmountstringrequiredtotalAllocationsintegerrequiredAllowed: at least 0